Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network33.0.0.0/9
Usable hosts8,388,606
Subnet mask255.128.0.0
Addresses8,388,608
Network address
33.0.0.0
Broadcast address
33.127.255.255
First usable
33.0.0.1
Last usable
33.127.255.254
Usable hosts
8,388,606 (8,388,608 less the network and broadcast addresses)
Subnet mask
255.128.0.0
Wildcard mask
0.127.255.255 (Cisco ACLs, OSPF)
Prefix length
/9
Type
Public public
Old class
A (default /8)
As numbers
Hex 21000000 · Integer 553648128 to 562036735
Reverse DNS zones
0.33.in-addr.arpa
1.33.in-addr.arpa
2.33.in-addr.arpa
3.33.in-addr.arpa
4.33.in-addr.arpa
5.33.in-addr.arpa
6.33.in-addr.arpa
7.33.in-addr.arpa
8.33.in-addr.arpa
9.33.in-addr.arpa
10.33.in-addr.arpa
11.33.in-addr.arpa
12.33.in-addr.arpa
13.33.in-addr.arpa
14.33.in-addr.arpa
15.33.in-addr.arpa
and 112 more
/9 is not on a 8-bit boundary, so it takes 128 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00100001.00000000.00000000.0000000033.0.0.0
Subnet mask11111111.10000000.00000000.00000000255.128.0.0
Network00100001.00000000.00000000.0000000033.0.0.0
Broadcast00100001.01111111.11111111.1111111133.127.255.255
Split into smaller subnets/17

33.0.0.0/9 makes 256 subnets of /17.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
133.0.0.0/1733.0.0.1 to 33.0.127.25433.0.127.25532,766
233.0.128.0/1733.0.128.1 to 33.0.255.25433.0.255.25532,766
333.1.0.0/1733.1.0.1 to 33.1.127.25433.1.127.25532,766
433.1.128.0/1733.1.128.1 to 33.1.255.25433.1.255.25532,766
533.2.0.0/1733.2.0.1 to 33.2.127.25433.2.127.25532,766
633.2.128.0/1733.2.128.1 to 33.2.255.25433.2.255.25532,766
733.3.0.0/1733.3.0.1 to 33.3.127.25433.3.127.25532,766
833.3.128.0/1733.3.128.1 to 33.3.255.25433.3.255.25532,766
933.4.0.0/1733.4.0.1 to 33.4.127.25433.4.127.25532,766
1033.4.128.0/1733.4.128.1 to 33.4.255.25433.4.255.25532,766
1133.5.0.0/1733.5.0.1 to 33.5.127.25433.5.127.25532,766
1233.5.128.0/1733.5.128.1 to 33.5.255.25433.5.255.25532,766
1333.6.0.0/1733.6.0.1 to 33.6.127.25433.6.127.25532,766
1433.6.128.0/1733.6.128.1 to 33.6.255.25433.6.255.25532,766
1533.7.0.0/1733.7.0.1 to 33.7.127.25433.7.127.25532,766
1633.7.128.0/1733.7.128.1 to 33.7.255.25433.7.255.25532,766
1733.8.0.0/1733.8.0.1 to 33.8.127.25433.8.127.25532,766
1833.8.128.0/1733.8.128.1 to 33.8.255.25433.8.255.25532,766
1933.9.0.0/1733.9.0.1 to 33.9.127.25433.9.127.25532,766
2033.9.128.0/1733.9.128.1 to 33.9.255.25433.9.255.25532,766
2133.10.0.0/1733.10.0.1 to 33.10.127.25433.10.127.25532,766
2233.10.128.0/1733.10.128.1 to 33.10.255.25433.10.255.25532,766
2333.11.0.0/1733.11.0.1 to 33.11.127.25433.11.127.25532,766
2433.11.128.0/1733.11.128.1 to 33.11.255.25433.11.255.25532,766
2533.12.0.0/1733.12.0.1 to 33.12.127.25433.12.127.25532,766
2633.12.128.0/1733.12.128.1 to 33.12.255.25433.12.255.25532,766
2733.13.0.0/1733.13.0.1 to 33.13.127.25433.13.127.25532,766
2833.13.128.0/1733.13.128.1 to 33.13.255.25433.13.255.25532,766
2933.14.0.0/1733.14.0.1 to 33.14.127.25433.14.127.25532,766
3033.14.128.0/1733.14.128.1 to 33.14.255.25433.14.255.25532,766
3133.15.0.0/1733.15.0.1 to 33.15.127.25433.15.127.25532,766
3233.15.128.0/1733.15.128.1 to 33.15.255.25433.15.255.25532,766
3333.16.0.0/1733.16.0.1 to 33.16.127.25433.16.127.25532,766
3433.16.128.0/1733.16.128.1 to 33.16.255.25433.16.255.25532,766
3533.17.0.0/1733.17.0.1 to 33.17.127.25433.17.127.25532,766
3633.17.128.0/1733.17.128.1 to 33.17.255.25433.17.255.25532,766
3733.18.0.0/1733.18.0.1 to 33.18.127.25433.18.127.25532,766
3833.18.128.0/1733.18.128.1 to 33.18.255.25433.18.255.25532,766
3933.19.0.0/1733.19.0.1 to 33.19.127.25433.19.127.25532,766
4033.19.128.0/1733.19.128.1 to 33.19.255.25433.19.255.25532,766
4133.20.0.0/1733.20.0.1 to 33.20.127.25433.20.127.25532,766
4233.20.128.0/1733.20.128.1 to 33.20.255.25433.20.255.25532,766
4333.21.0.0/1733.21.0.1 to 33.21.127.25433.21.127.25532,766
4433.21.128.0/1733.21.128.1 to 33.21.255.25433.21.255.25532,766
4533.22.0.0/1733.22.0.1 to 33.22.127.25433.22.127.25532,766
4633.22.128.0/1733.22.128.1 to 33.22.255.25433.22.255.25532,766
4733.23.0.0/1733.23.0.1 to 33.23.127.25433.23.127.25532,766
4833.23.128.0/1733.23.128.1 to 33.23.255.25433.23.255.25532,766
4933.24.0.0/1733.24.0.1 to 33.24.127.25433.24.127.25532,766
5033.24.128.0/1733.24.128.1 to 33.24.255.25433.24.255.25532,766
5133.25.0.0/1733.25.0.1 to 33.25.127.25433.25.127.25532,766
5233.25.128.0/1733.25.128.1 to 33.25.255.25433.25.255.25532,766
5333.26.0.0/1733.26.0.1 to 33.26.127.25433.26.127.25532,766
5433.26.128.0/1733.26.128.1 to 33.26.255.25433.26.255.25532,766
5533.27.0.0/1733.27.0.1 to 33.27.127.25433.27.127.25532,766
5633.27.128.0/1733.27.128.1 to 33.27.255.25433.27.255.25532,766
5733.28.0.0/1733.28.0.1 to 33.28.127.25433.28.127.25532,766
5833.28.128.0/1733.28.128.1 to 33.28.255.25433.28.255.25532,766
5933.29.0.0/1733.29.0.1 to 33.29.127.25433.29.127.25532,766
6033.29.128.0/1733.29.128.1 to 33.29.255.25433.29.255.25532,766
6133.30.0.0/1733.30.0.1 to 33.30.127.25433.30.127.25532,766
6233.30.128.0/1733.30.128.1 to 33.30.255.25433.30.255.25532,766
6333.31.0.0/1733.31.0.1 to 33.31.127.25433.31.127.25532,766
6433.31.128.0/1733.31.128.1 to 33.31.255.25433.31.255.25532,766
6533.32.0.0/1733.32.0.1 to 33.32.127.25433.32.127.25532,766
6633.32.128.0/1733.32.128.1 to 33.32.255.25433.32.255.25532,766
6733.33.0.0/1733.33.0.1 to 33.33.127.25433.33.127.25532,766
6833.33.128.0/1733.33.128.1 to 33.33.255.25433.33.255.25532,766
6933.34.0.0/1733.34.0.1 to 33.34.127.25433.34.127.25532,766
7033.34.128.0/1733.34.128.1 to 33.34.255.25433.34.255.25532,766
7133.35.0.0/1733.35.0.1 to 33.35.127.25433.35.127.25532,766
7233.35.128.0/1733.35.128.1 to 33.35.255.25433.35.255.25532,766
7333.36.0.0/1733.36.0.1 to 33.36.127.25433.36.127.25532,766
7433.36.128.0/1733.36.128.1 to 33.36.255.25433.36.255.25532,766
7533.37.0.0/1733.37.0.1 to 33.37.127.25433.37.127.25532,766
7633.37.128.0/1733.37.128.1 to 33.37.255.25433.37.255.25532,766
7733.38.0.0/1733.38.0.1 to 33.38.127.25433.38.127.25532,766
7833.38.128.0/1733.38.128.1 to 33.38.255.25433.38.255.25532,766
7933.39.0.0/1733.39.0.1 to 33.39.127.25433.39.127.25532,766
8033.39.128.0/1733.39.128.1 to 33.39.255.25433.39.255.25532,766
8133.40.0.0/1733.40.0.1 to 33.40.127.25433.40.127.25532,766
8233.40.128.0/1733.40.128.1 to 33.40.255.25433.40.255.25532,766
8333.41.0.0/1733.41.0.1 to 33.41.127.25433.41.127.25532,766
8433.41.128.0/1733.41.128.1 to 33.41.255.25433.41.255.25532,766
8533.42.0.0/1733.42.0.1 to 33.42.127.25433.42.127.25532,766
8633.42.128.0/1733.42.128.1 to 33.42.255.25433.42.255.25532,766
8733.43.0.0/1733.43.0.1 to 33.43.127.25433.43.127.25532,766
8833.43.128.0/1733.43.128.1 to 33.43.255.25433.43.255.25532,766
8933.44.0.0/1733.44.0.1 to 33.44.127.25433.44.127.25532,766
9033.44.128.0/1733.44.128.1 to 33.44.255.25433.44.255.25532,766
9133.45.0.0/1733.45.0.1 to 33.45.127.25433.45.127.25532,766
9233.45.128.0/1733.45.128.1 to 33.45.255.25433.45.255.25532,766
9333.46.0.0/1733.46.0.1 to 33.46.127.25433.46.127.25532,766
9433.46.128.0/1733.46.128.1 to 33.46.255.25433.46.255.25532,766
9533.47.0.0/1733.47.0.1 to 33.47.127.25433.47.127.25532,766
9633.47.128.0/1733.47.128.1 to 33.47.255.25433.47.255.25532,766
9733.48.0.0/1733.48.0.1 to 33.48.127.25433.48.127.25532,766
9833.48.128.0/1733.48.128.1 to 33.48.255.25433.48.255.25532,766
9933.49.0.0/1733.49.0.1 to 33.49.127.25433.49.127.25532,766
10033.49.128.0/1733.49.128.1 to 33.49.255.25433.49.255.25532,766
10133.50.0.0/1733.50.0.1 to 33.50.127.25433.50.127.25532,766
10233.50.128.0/1733.50.128.1 to 33.50.255.25433.50.255.25532,766
10333.51.0.0/1733.51.0.1 to 33.51.127.25433.51.127.25532,766
10433.51.128.0/1733.51.128.1 to 33.51.255.25433.51.255.25532,766
10533.52.0.0/1733.52.0.1 to 33.52.127.25433.52.127.25532,766
10633.52.128.0/1733.52.128.1 to 33.52.255.25433.52.255.25532,766
10733.53.0.0/1733.53.0.1 to 33.53.127.25433.53.127.25532,766
10833.53.128.0/1733.53.128.1 to 33.53.255.25433.53.255.25532,766
10933.54.0.0/1733.54.0.1 to 33.54.127.25433.54.127.25532,766
11033.54.128.0/1733.54.128.1 to 33.54.255.25433.54.255.25532,766
11133.55.0.0/1733.55.0.1 to 33.55.127.25433.55.127.25532,766
11233.55.128.0/1733.55.128.1 to 33.55.255.25433.55.255.25532,766
11333.56.0.0/1733.56.0.1 to 33.56.127.25433.56.127.25532,766
11433.56.128.0/1733.56.128.1 to 33.56.255.25433.56.255.25532,766
11533.57.0.0/1733.57.0.1 to 33.57.127.25433.57.127.25532,766
11633.57.128.0/1733.57.128.1 to 33.57.255.25433.57.255.25532,766
11733.58.0.0/1733.58.0.1 to 33.58.127.25433.58.127.25532,766
11833.58.128.0/1733.58.128.1 to 33.58.255.25433.58.255.25532,766
11933.59.0.0/1733.59.0.1 to 33.59.127.25433.59.127.25532,766
12033.59.128.0/1733.59.128.1 to 33.59.255.25433.59.255.25532,766
12133.60.0.0/1733.60.0.1 to 33.60.127.25433.60.127.25532,766
12233.60.128.0/1733.60.128.1 to 33.60.255.25433.60.255.25532,766
12333.61.0.0/1733.61.0.1 to 33.61.127.25433.61.127.25532,766
12433.61.128.0/1733.61.128.1 to 33.61.255.25433.61.255.25532,766
12533.62.0.0/1733.62.0.1 to 33.62.127.25433.62.127.25532,766
12633.62.128.0/1733.62.128.1 to 33.62.255.25433.62.255.25532,766
12733.63.0.0/1733.63.0.1 to 33.63.127.25433.63.127.25532,766
12833.63.128.0/1733.63.128.1 to 33.63.255.25433.63.255.25532,766
12933.64.0.0/1733.64.0.1 to 33.64.127.25433.64.127.25532,766
13033.64.128.0/1733.64.128.1 to 33.64.255.25433.64.255.25532,766
13133.65.0.0/1733.65.0.1 to 33.65.127.25433.65.127.25532,766
13233.65.128.0/1733.65.128.1 to 33.65.255.25433.65.255.25532,766
13333.66.0.0/1733.66.0.1 to 33.66.127.25433.66.127.25532,766
13433.66.128.0/1733.66.128.1 to 33.66.255.25433.66.255.25532,766
13533.67.0.0/1733.67.0.1 to 33.67.127.25433.67.127.25532,766
13633.67.128.0/1733.67.128.1 to 33.67.255.25433.67.255.25532,766
13733.68.0.0/1733.68.0.1 to 33.68.127.25433.68.127.25532,766
13833.68.128.0/1733.68.128.1 to 33.68.255.25433.68.255.25532,766
13933.69.0.0/1733.69.0.1 to 33.69.127.25433.69.127.25532,766
14033.69.128.0/1733.69.128.1 to 33.69.255.25433.69.255.25532,766
14133.70.0.0/1733.70.0.1 to 33.70.127.25433.70.127.25532,766
14233.70.128.0/1733.70.128.1 to 33.70.255.25433.70.255.25532,766
14333.71.0.0/1733.71.0.1 to 33.71.127.25433.71.127.25532,766
14433.71.128.0/1733.71.128.1 to 33.71.255.25433.71.255.25532,766
14533.72.0.0/1733.72.0.1 to 33.72.127.25433.72.127.25532,766
14633.72.128.0/1733.72.128.1 to 33.72.255.25433.72.255.25532,766
14733.73.0.0/1733.73.0.1 to 33.73.127.25433.73.127.25532,766
14833.73.128.0/1733.73.128.1 to 33.73.255.25433.73.255.25532,766
14933.74.0.0/1733.74.0.1 to 33.74.127.25433.74.127.25532,766
15033.74.128.0/1733.74.128.1 to 33.74.255.25433.74.255.25532,766
15133.75.0.0/1733.75.0.1 to 33.75.127.25433.75.127.25532,766
15233.75.128.0/1733.75.128.1 to 33.75.255.25433.75.255.25532,766
15333.76.0.0/1733.76.0.1 to 33.76.127.25433.76.127.25532,766
15433.76.128.0/1733.76.128.1 to 33.76.255.25433.76.255.25532,766
15533.77.0.0/1733.77.0.1 to 33.77.127.25433.77.127.25532,766
15633.77.128.0/1733.77.128.1 to 33.77.255.25433.77.255.25532,766
15733.78.0.0/1733.78.0.1 to 33.78.127.25433.78.127.25532,766
15833.78.128.0/1733.78.128.1 to 33.78.255.25433.78.255.25532,766
15933.79.0.0/1733.79.0.1 to 33.79.127.25433.79.127.25532,766
16033.79.128.0/1733.79.128.1 to 33.79.255.25433.79.255.25532,766
16133.80.0.0/1733.80.0.1 to 33.80.127.25433.80.127.25532,766
16233.80.128.0/1733.80.128.1 to 33.80.255.25433.80.255.25532,766
16333.81.0.0/1733.81.0.1 to 33.81.127.25433.81.127.25532,766
16433.81.128.0/1733.81.128.1 to 33.81.255.25433.81.255.25532,766
16533.82.0.0/1733.82.0.1 to 33.82.127.25433.82.127.25532,766
16633.82.128.0/1733.82.128.1 to 33.82.255.25433.82.255.25532,766
16733.83.0.0/1733.83.0.1 to 33.83.127.25433.83.127.25532,766
16833.83.128.0/1733.83.128.1 to 33.83.255.25433.83.255.25532,766
16933.84.0.0/1733.84.0.1 to 33.84.127.25433.84.127.25532,766
17033.84.128.0/1733.84.128.1 to 33.84.255.25433.84.255.25532,766
17133.85.0.0/1733.85.0.1 to 33.85.127.25433.85.127.25532,766
17233.85.128.0/1733.85.128.1 to 33.85.255.25433.85.255.25532,766
17333.86.0.0/1733.86.0.1 to 33.86.127.25433.86.127.25532,766
17433.86.128.0/1733.86.128.1 to 33.86.255.25433.86.255.25532,766
17533.87.0.0/1733.87.0.1 to 33.87.127.25433.87.127.25532,766
17633.87.128.0/1733.87.128.1 to 33.87.255.25433.87.255.25532,766
17733.88.0.0/1733.88.0.1 to 33.88.127.25433.88.127.25532,766
17833.88.128.0/1733.88.128.1 to 33.88.255.25433.88.255.25532,766
17933.89.0.0/1733.89.0.1 to 33.89.127.25433.89.127.25532,766
18033.89.128.0/1733.89.128.1 to 33.89.255.25433.89.255.25532,766
18133.90.0.0/1733.90.0.1 to 33.90.127.25433.90.127.25532,766
18233.90.128.0/1733.90.128.1 to 33.90.255.25433.90.255.25532,766
18333.91.0.0/1733.91.0.1 to 33.91.127.25433.91.127.25532,766
18433.91.128.0/1733.91.128.1 to 33.91.255.25433.91.255.25532,766
18533.92.0.0/1733.92.0.1 to 33.92.127.25433.92.127.25532,766
18633.92.128.0/1733.92.128.1 to 33.92.255.25433.92.255.25532,766
18733.93.0.0/1733.93.0.1 to 33.93.127.25433.93.127.25532,766
18833.93.128.0/1733.93.128.1 to 33.93.255.25433.93.255.25532,766
18933.94.0.0/1733.94.0.1 to 33.94.127.25433.94.127.25532,766
19033.94.128.0/1733.94.128.1 to 33.94.255.25433.94.255.25532,766
19133.95.0.0/1733.95.0.1 to 33.95.127.25433.95.127.25532,766
19233.95.128.0/1733.95.128.1 to 33.95.255.25433.95.255.25532,766
19333.96.0.0/1733.96.0.1 to 33.96.127.25433.96.127.25532,766
19433.96.128.0/1733.96.128.1 to 33.96.255.25433.96.255.25532,766
19533.97.0.0/1733.97.0.1 to 33.97.127.25433.97.127.25532,766
19633.97.128.0/1733.97.128.1 to 33.97.255.25433.97.255.25532,766
19733.98.0.0/1733.98.0.1 to 33.98.127.25433.98.127.25532,766
19833.98.128.0/1733.98.128.1 to 33.98.255.25433.98.255.25532,766
19933.99.0.0/1733.99.0.1 to 33.99.127.25433.99.127.25532,766
20033.99.128.0/1733.99.128.1 to 33.99.255.25433.99.255.25532,766
20133.100.0.0/1733.100.0.1 to 33.100.127.25433.100.127.25532,766
20233.100.128.0/1733.100.128.1 to 33.100.255.25433.100.255.25532,766
20333.101.0.0/1733.101.0.1 to 33.101.127.25433.101.127.25532,766
20433.101.128.0/1733.101.128.1 to 33.101.255.25433.101.255.25532,766
20533.102.0.0/1733.102.0.1 to 33.102.127.25433.102.127.25532,766
20633.102.128.0/1733.102.128.1 to 33.102.255.25433.102.255.25532,766
20733.103.0.0/1733.103.0.1 to 33.103.127.25433.103.127.25532,766
20833.103.128.0/1733.103.128.1 to 33.103.255.25433.103.255.25532,766
20933.104.0.0/1733.104.0.1 to 33.104.127.25433.104.127.25532,766
21033.104.128.0/1733.104.128.1 to 33.104.255.25433.104.255.25532,766
21133.105.0.0/1733.105.0.1 to 33.105.127.25433.105.127.25532,766
21233.105.128.0/1733.105.128.1 to 33.105.255.25433.105.255.25532,766
21333.106.0.0/1733.106.0.1 to 33.106.127.25433.106.127.25532,766
21433.106.128.0/1733.106.128.1 to 33.106.255.25433.106.255.25532,766
21533.107.0.0/1733.107.0.1 to 33.107.127.25433.107.127.25532,766
21633.107.128.0/1733.107.128.1 to 33.107.255.25433.107.255.25532,766
21733.108.0.0/1733.108.0.1 to 33.108.127.25433.108.127.25532,766
21833.108.128.0/1733.108.128.1 to 33.108.255.25433.108.255.25532,766
21933.109.0.0/1733.109.0.1 to 33.109.127.25433.109.127.25532,766
22033.109.128.0/1733.109.128.1 to 33.109.255.25433.109.255.25532,766
22133.110.0.0/1733.110.0.1 to 33.110.127.25433.110.127.25532,766
22233.110.128.0/1733.110.128.1 to 33.110.255.25433.110.255.25532,766
22333.111.0.0/1733.111.0.1 to 33.111.127.25433.111.127.25532,766
22433.111.128.0/1733.111.128.1 to 33.111.255.25433.111.255.25532,766
22533.112.0.0/1733.112.0.1 to 33.112.127.25433.112.127.25532,766
22633.112.128.0/1733.112.128.1 to 33.112.255.25433.112.255.25532,766
22733.113.0.0/1733.113.0.1 to 33.113.127.25433.113.127.25532,766
22833.113.128.0/1733.113.128.1 to 33.113.255.25433.113.255.25532,766
22933.114.0.0/1733.114.0.1 to 33.114.127.25433.114.127.25532,766
23033.114.128.0/1733.114.128.1 to 33.114.255.25433.114.255.25532,766
23133.115.0.0/1733.115.0.1 to 33.115.127.25433.115.127.25532,766
23233.115.128.0/1733.115.128.1 to 33.115.255.25433.115.255.25532,766
23333.116.0.0/1733.116.0.1 to 33.116.127.25433.116.127.25532,766
23433.116.128.0/1733.116.128.1 to 33.116.255.25433.116.255.25532,766
23533.117.0.0/1733.117.0.1 to 33.117.127.25433.117.127.25532,766
23633.117.128.0/1733.117.128.1 to 33.117.255.25433.117.255.25532,766
23733.118.0.0/1733.118.0.1 to 33.118.127.25433.118.127.25532,766
23833.118.128.0/1733.118.128.1 to 33.118.255.25433.118.255.25532,766
23933.119.0.0/1733.119.0.1 to 33.119.127.25433.119.127.25532,766
24033.119.128.0/1733.119.128.1 to 33.119.255.25433.119.255.25532,766
24133.120.0.0/1733.120.0.1 to 33.120.127.25433.120.127.25532,766
24233.120.128.0/1733.120.128.1 to 33.120.255.25433.120.255.25532,766
24333.121.0.0/1733.121.0.1 to 33.121.127.25433.121.127.25532,766
24433.121.128.0/1733.121.128.1 to 33.121.255.25433.121.255.25532,766
24533.122.0.0/1733.122.0.1 to 33.122.127.25433.122.127.25532,766
24633.122.128.0/1733.122.128.1 to 33.122.255.25433.122.255.25532,766
24733.123.0.0/1733.123.0.1 to 33.123.127.25433.123.127.25532,766
24833.123.128.0/1733.123.128.1 to 33.123.255.25433.123.255.25532,766
24933.124.0.0/1733.124.0.1 to 33.124.127.25433.124.127.25532,766
25033.124.128.0/1733.124.128.1 to 33.124.255.25433.124.255.25532,766
25133.125.0.0/1733.125.0.1 to 33.125.127.25433.125.127.25532,766
25233.125.128.0/1733.125.128.1 to 33.125.255.25433.125.255.25532,766
25333.126.0.0/1733.126.0.1 to 33.126.127.25433.126.127.25532,766
25433.126.128.0/1733.126.128.1 to 33.126.255.25433.126.255.25532,766
25533.127.0.0/1733.127.0.1 to 33.127.127.25433.127.127.25532,766
25633.127.128.0/1733.127.128.1 to 33.127.255.25433.127.255.25532,766

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses